[SOLUCIONADO]Línea 6 mal formada en la lista de fuentes

Imagen de xavi.franch
0 puntos

Muy buenas a todos!
Primero de todo decir que soy nuevo en ubuntu y que todo y buscar en los foros y en los documentos no he sabido encontrar nada. Ahí va el problema:
he intentado instalar el adobe reader desde el terminal y me salió este mensaje de error:

<< Ha ocurrido un problema imposible de corregir cuando se inicializaba la información de los paquetes.
Por favor, informe de esto como un fallo en el paquete «update-manager» e incluya el siguiente mensaje de error:
'E:Línea 6 mal formada en la lista de fuentes /etc/apt/sources.list (análisis de dist),
E:No se pudieron leer las listas de fuentes.,
E:No se pudieron analizar o abrir las listas de paquetes o el archivo de estado.' <<

He entrado en la source list tal y como decian muchos foros pero me he quedado asombrado de lo corta que era, en comparacion a la de otra gente:
# /etc/apt/sources.list

deb http://archive.ubuntu.com/ubuntu/ precise main restricted universe multiverse
deb http://security.ubuntu.com/ubuntu/ precise-security main restricted universe multiverse
deb http://archive.ubuntu.com/ubuntu/ precise-updates main restricted universe multiverse
deb http://archive.canonical.com/precise partner
deb-src http://archive.canonical.com/precise partner
deb http://archive.canonical.com/ precise partner
deb-src http://archive.canonical.com/ precise partner

No contento con eso, he intentado entrar en el instalador de software de ubuntu y se cerraba inesperadamente y no ha podido ni enviar informe de error debido a que no se ha podido determinar el nombre del paquete binario o fuente. Ya frustrado he intentado entrar en el actualizador de software i me ha salido el mismo mensaje que con el lector de pdf's...
A ver si alguien me puede ayudar un poco ni que sea :(
Gracias por anticipado!

Imagen de .doc
+1
0
-1

fíjate que en tu sexta línea
deb http://archive.canonical.com/ precise partner
has dejado un espacio entre la barra inclinada de 'com/' y 'precise', y seguramente por eso te dice que hay un error.

+1
0
-1
Imagen de xavi.franch
+1
0
-1

Lo acabo de modificar i me da el mismo error, hay que reiniciar después de editar la source list? SI tu source list es muy corta puedes tener problemas mas adelante?

+1
0
-1
Imagen de cuentos
+1
0
-1

Seguro que pones correcto el aviso del error.
ejecuta en la terminal,
sudo apt-get update
y pon aquí solo el error que te da

+1
0
-1

(recordatorio) -+-+-+-+-+-+-+-+-+-+-+-+-+-+-+-+-+-+-+-+-+-+-+-
Si el problema se soluciono, edita el 1° hilo, y agrega (Solucionado), para tener el foro mas ordenado.
Y finaliza poniendo la solución para que sirva para otros Usuarios.
Twitter @mcuentos

Imagen de Jose Luis 1320
+1
+1
-1

Las últimas 4 líneas las tienes duplicadas, mira:

deb http://archive.canonical.com/precise partner
deb-src http://archive.canonical.com/precise partner
deb http://archive.canonical.com/ precise partner
deb-src http://archive.canonical.com/ precise partner

Borra las primeras 2 líneas e intenta de nuevo, esas no tienen espacio entre .com/ y precise.

+1
+1
-1

"Yo sólo se que no se nada"
-Sócrates, filósofo griego.
-Normas del foro

Imagen de xavi.franch
+1
0
-1

Siii! Muchas gracias jose luis! Me ha funcionado lo de borrar las dos primeras lineas.
Ahora mi duda es, si antes funcionaba el actualizador, y ahora no, el source.list se ha cambiado?me puede volver a pasar?

+1
0
-1
Imagen de Jose Luis 1320
+1
0
-1

digamos que sí, el archivo sources.list fue modificado por algún programa.

+1
0
-1

"Yo sólo se que no se nada"
-Sócrates, filósofo griego.
-Normas del foro